Loading...
Searching...
No Matches
QXmppHttpUploadSlotIq Class Reference
Stanzas

Represents an HTTP File Upload IQ result for receiving an upload slot as defined by XEP-0363: HTTP File Upload. More...

`#include <QXmppHttpUploadIq.h>`

Inheritance diagram for QXmppHttpUploadSlotIq:
[legend]
Collaboration diagram for QXmppHttpUploadSlotIq:
[legend]

## Public Member Functions

| QXmppHttpUploadSlotIq (const QXmppHttpUploadSlotIq &)
| Default copy-constructor.
| QXmppHttpUploadSlotIq (QXmppHttpUploadSlotIq &&)
| Default move-constructor.
QXmppHttpUploadSlotIq & | operator= (const QXmppHttpUploadSlotIq &)
| Default assignment operator.
QXmppHttpUploadSlotIq & | operator= (QXmppHttpUploadSlotIq &&)
| Default move-assignment operator.
QUrl | putUrl () const
void | setPutUrl (const QUrl &putUrl)
QUrl | getUrl () const
void | setGetUrl (const QUrl &getUrl)
QMap< QString, QString > | putHeaders () const
void | setPutHeaders (const QMap< QString, QString > &putHeaders)
Public Member Functions inherited from QXmppIq
| QXmppIq (QXmppIq::Type type=QXmppIq::Get)
| QXmppIq (const QXmppIq &other)
| Constructs a copy of other.
| QXmppIq (QXmppIq &&)
| Default move-constructor.
QXmppIq & | operator= (const QXmppIq &other)
| Assigns other to this IQ.
QXmppIq & | operator= (QXmppIq &&)
| Move-assignment operator.
QXmppIq::Type | type () const
void | setType (QXmppIq::Type)
bool | isXmppStanza () const override
Public Member Functions inherited from QXmppStanza
| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
| QXmppStanza (QXmppStanza &&)
| Move constructor.
| ~QXmppStanza () override
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QXmppStanza & | operator= (QXmppStanza &&)
| Move-assignment operator.
QString | to () const
void | setTo (const QString &)
QString | from () const
void | setFrom (const QString &)
QString | id () const
void | setId (const QString &)
QString | lang () const
void | setLang (const QString &)
QXmppStanza::Error | error () const
std::optional< Error > | errorOptional () const
void | setError (const QXmppStanza::Error &error)
void | setError (const std::optional< Error > &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)
std::optional< QXmppE2eeMetadata > | e2eeMetadata () const
void | setE2eeMetadata (const std::optional< QXmppE2eeMetadata > &e2eeMetadata)
Public Member Functions inherited from QXmppNonza
virtual void | parse (const QDomElement &)=0
virtual void | toXml (QXmlStreamWriter *writer) const =0

## Static Public Member Functions

static bool | isHttpUploadSlotIq (const QDomElement &element)

## Additional Inherited Members

Public Types inherited from QXmppIq
enum | Type { Error = 0 , Get , Set , Result }
| This enum describes the type of IQ. More...

## Detailed Description

Represents an HTTP File Upload IQ result for receiving an upload slot as defined by XEP-0363: HTTP File Upload.

Since
  QXmpp 1.1

## Member Function Documentation

## getUrl()

QUrl QXmppHttpUploadSlotIq::getUrl | ( |  | ) | const

Returns the URL to where the file will be served.

## isHttpUploadSlotIq()

bool QXmppHttpUploadSlotIq::isHttpUploadSlotIq | ( | const QDomElement & | element | ) |

static

Returns true, if the the element is an HTTP File Upload slot result IQ.

## putHeaders()

QMap< QString, QString > QXmppHttpUploadSlotIq::putHeaders | ( |  | ) | const

Returns a map of header fields (header name -> value) that need to be included in the PUT (upload) request. This won't contain any other fields than: "Authorization", "Cookie" or "Expires".

## putUrl()

QUrl QXmppHttpUploadSlotIq::putUrl | ( |  | ) | const

Returns the URL for uploading via. HTTP PUT.

## setGetUrl()

void QXmppHttpUploadSlotIq::setGetUrl | ( | const QUrl & | getUrl | ) |

Sets the download URL.

## setPutHeaders()

void QXmppHttpUploadSlotIq::setPutHeaders | ( | const QMap< QString, QString > & | putHeaders | ) |

Sets the header fields the client needs to include in the PUT (upload) request. All fields other than "Authorization", "Cookie" or "Expires" will be ignored.

## setPutUrl()

void QXmppHttpUploadSlotIq::setPutUrl | ( | const QUrl & | putUrl | ) |

Sets the URL the client should use for uploading.

The documentation for this class was generated from the following files:

- QXmppHttpUploadIq.h
- QXmppHttpUploadIq.cpp